Apply by doing:
	cd /usr/src
	patch -p0 < 008_mod_ssl.patch

And then rebuild and install httpd and its modules:
	cd usr.sbin/httpd
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper cleandir
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

If httpd had been started, you might want to run
	apachectl stop
before running "make install", and
	apachectl start
afterwards.

Index: usr.sbin/httpd/src/modules/ssl/ssl_engine_compat.c
===================================================================
RCS file: /cvs/src/usr.sbin/httpd/src/modules/ssl/ssl_engine_compat.c,v
retrieving revision 1.6
retrieving revision 1.6.6.1
diff -u -r1.6 -r1.6.6.1
--- usr.sbin/httpd/src/modules/ssl/ssl_engine_compat.c	2001/03/29 10:21:46	1.6
+++ usr.sbin/httpd/src/modules/ssl/ssl_engine_compat.c	2002/06/25 16:20:58	1.6.6.1
@@ -309,7 +309,8 @@
      * Extract directive name
      */
     cp = (char *)oline;
-    for (i = 0; *cp != ' ' && *cp != '\t' && *cp != NUL && i < 1024; )
+    for (i = 0; *cp != ' ' && *cp != '\t' && *cp != NUL &&
+		i < sizeof(caCmd) - 1; )
         caCmd[i++] = *cp++;
     caCmd[i] = NUL;
     cpArgs = cp;
